---------------------------------------------------------------------------
-- This VHDL file was developed by Daniel Llamocca (2013).  It may be
-- freely copied and/or distributed at no cost.  Any persons using this
-- file for any purpose do so at their own risk, and are responsible for
-- the results of such use.  Daniel Llamocca does not guarantee that
-- this file is complete, correct, or fit for any particular purpose.
-- NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED.  This notice must
-- accompany any copy of this file.
--------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity light_ctrl is
	port (A,B,C: in std_logic;
	      La,Lb,Lc: out std_logic); -- Do not use L0,L1,L2 as port names. The bitstream gets corrupted
end light_ctrl;

architecture Behavioral of light_ctrl is

	signal x,y,f: std_logic;

begin

	x <= not(A) and (B xor C);
	y <= A and (not(B) and not(C));
	f <= x or y;
	La <= f;
	Lb <= f;
	Lc <= f;
	
end Behavioral;

