---------------------------------------------------------------------------
-- This VHDL file was developed by Daniel Llamocca (2013).  It may be
-- freely copied and/or distributed at no cost.  Any persons using this
-- file for any purpose do so at their own risk, and are responsible for
-- the results of such use.  Daniel Llamocca does not guarantee that
-- this file is complete, correct, or fit for any particular purpose.
-- NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED.  This notice must
-- accompany any copy of this file.
--------------------------------------------------------------------------

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
 
ENTITY tb_light_ctrl IS
END tb_light_ctrl;
 
ARCHITECTURE behavior OF tb_light_ctrl IS 
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    COMPONENT light_ctrl
    PORT(
         A : IN  std_logic;
         B : IN  std_logic;
         C : IN  std_logic;
         La : OUT  std_logic;
         Lb : OUT  std_logic;
         Lc : OUT  std_logic
        );
    END COMPONENT;
    

   --Inputs
   signal A : std_logic := '0';
   signal B : std_logic := '0';
   signal C : std_logic := '0';

 	--Outputs
   signal La : std_logic;
   signal Lb : std_logic;
   signal Lc : std_logic;

BEGIN
 
	-- Instantiate the Unit Under Test (UUT)
   uut: light_ctrl PORT MAP (
          A => A,
          B => B,
          C => C,
          La => La,
          Lb => Lb,
          Lc => Lc
        );
	
   -- Stimulus process
   stim_proc: process
   begin		
      -- hold reset state for 100 ns.
      wait for 100 ns;	

      -- insert stimulus here. 
		A <= '0'; B <= '0'; C <= '0'; wait for 20 ns;
		A <= '0'; B <= '0'; C <= '1'; wait for 20 ns;
		A <= '0'; B <= '1'; C <= '0'; wait for 20 ns;
		A <= '0'; B <= '1'; C <= '1'; wait for 20 ns;
		A <= '1'; B <= '0'; C <= '0'; wait for 20 ns;
		A <= '1'; B <= '0'; C <= '1'; wait for 20 ns;
		A <= '1'; B <= '1'; C <= '0'; wait for 20 ns;
		A <= '1'; B <= '1'; C <= '1'; wait for 20 ns;
		A <= '0'; B <= '0'; C <= '0';
      wait;
   end process;

END;
